SHELL=/bin/sh
BENCHMARK=mg
BENCHMARKU=MG

include ../config/make.def
include ../sys/make.common

SOURCES = mg.fdv \
	mg3p.fdv \
	comm3.fdv \
	interp.fdv \
	norm2u3.fdv \
	psinv.fdv \
	resid.fdv \
	rjrp3.fdv \
	setupDVM.fdv \
	utilities.fdv \
	zran3.fdv 

OBJS = ${SOURCES:.fdv=.o}

${PROGRAM}: config $(OBJS)
	${FLINK} -o ${PROGRAM} ${OBJS}
	
%.o: %.fdv npbparams.h globals.h dvmvars.h
	${F77} ${FFLAGS} -c -o $@ $<

clean:
	rm -f npbparams.h
	rm -f *.o *~
	rm -f *.cu *.cuf *.c *.f
